import { wrapFunc, trueValue, falseValue } from "cumlisp"

export default {
	equals: wrapFunc("equals", 2, (args) => {
		if (args[0] === args[1]) return trueValue
		return falseValue
	}),
	inequals: wrapFunc("inequals", 2, (args) => {
		if (args[0] === args[1]) return falseValue
		return trueValue
	}),
	truthy: wrapFunc("truthy", 1, (args) => {
		if (args[0] === trueValue) return trueValue
		return falseValue
	})
}
